<?php
/**
 *
 * @author：llbjj
 * @DateTime：2022/5/4 20:02
 * @Description：
 *
 */

namespace Application\Factory;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;

class QueryFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        // TODO: Implement __invoke() method.
        $defaultDbAdapter = $container->get('queryDbAdapter');
        return new $requestedName($defaultDbAdapter, $container);
    }
}